# cron-expression validator

cron-expression validator written in TypeScript.

## Usage

```typescript
import cron from '<package-name>'

const cronResult = cron('* * * * *')
if (cronResult.isValid()) {
  // !cronResult.isError()
  // valid code
} else {
  // error code
}
```

```typescript
import cron from '<package-name>'

cron('* * * * *').isValid()

cron('* * * * *').isError()

cron('* 2,3,4 * * *').isValid()

cron('0 */2 */5 * *').isValid()
```

### Contributors

 <ul>
    <li>
        <a href="https://github.com/Airfooox">Airfooox</a>
    </li>
    <li>
        <a href="https://github.com/GuillaumeRochat">GuillaumeRochat</a>
    </li>
    <li>
        <a href="https://github.com/rabingaire">rabingaire</a>
    </li>
 </ul>

<hr />
